package com.hc.business.mapper;

import com.hc.business.model.CourseChapter;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 课程章节表(CourseChapter)表数据库访问层
 *
 * @author java
 * @since 2020-11-09 10:04:47
 */


@Repository
public interface CourseChapterMapper extends Mapper<CourseChapter> {

    /**
     * 改版 william
     *
     * @param map
     * @return
     */
    List<CourseChapter> getCourseChapterChildList(Map<String, Object> map);
}