package com.hc.business.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.List;


@Data
@ApiModel(value = "退费申请")
public class OrderRefundAdd implements Serializable {

    private static final long serialVersionUID = 404350063874166042L;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号", required = true)
    private Integer orderId;

    @ApiModelProperty(value = "相关人员", required = true)
    private List<Integer> userIds;

    @ApiModelProperty(value = "退费原因")
    private String reason;

    @ApiModelProperty(value = "退费备注")
    private String remarks;
}
