package com.hc.business.model.invoice;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel(value = "开票回传")
public class InvoiceToken implements Serializable {

    private static final long serialVersionUID = 404350063874166042L;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "access_token")
    private String access_token;

    @ApiModelProperty(value = "access_token 的过期时长，24小时（单位秒）")
    private String expires_in;


}
