package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebNewsType;
import com.hc.gpbusiness.model.WebQrCode;
import com.hc.gpcore.utils.tk.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 官网二维码表(WebQrCode)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-21 14:29:03
 */

@Repository
public interface WebQrCodeMapper extends Mapper<WebQrCode> {

    List<WebQrCode> queryByAll(String qrName1,
                               String qrName2,
                               Integer qrType,
                               Integer qrId1,
                               Integer qrId2,String fileName);
}
