package com.hc.business.mapper;

import com.hc.business.model.ZccmClassConfigSponsor;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (ClassConfigSponsor)表数据库访问层
 *
 * @author java
 * @since 2021-05-28 14:11:29
 */

@Repository
public interface ZccmClassConfigSponsorMapper extends Mapper<ZccmClassConfigSponsor> {

    /**
     * 获取班次主办方信息
     *
     * @param classId 班次id
     * @return 实例对象数组
     */
    List<ZccmClassConfigSponsor> queryListByClassId(Integer classId);
}
