package com.hc.business.mapper;

import com.hc.business.model.ZccmNewsTag;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 新闻标签表(NewsTag)表数据库访问层
 *
 * @author java
 * @since 2020-11-20 12:52:32
 */

@Repository
public interface ZccmNewsTagMapper extends Mapper<ZccmNewsTag> {

    /**
     * 分页查询多条数据
     *
     * @return 对象列表
     */
    List<ZccmNewsTag> queryAll();

}