package com.hc.business.mapper;

import com.hc.business.model.ZccmUserTeacher;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (UserTeacher)表数据库访问层
 *
 * @author java
 * @since 2020-11-20 11:08:18
 */

@Repository
public interface ZccmUserTeacherMapper extends Mapper<ZccmUserTeacher> {

    /**
     * 依据老师名称查询老师
     *
     * @param name 老师名称
     * @return 实例对象数组
     */
    List<ZccmUserTeacher> queryByName(String name);

}