package com.hc.business.model.login;

import com.hc.business.model.ZccmUser;
import com.hc.business.model.ZccmUserAdmin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel("登录信息表")
@Data
public class AccessEntity implements Serializable{

	private static final long serialVersionUID = -5164168823800497252L;

	@ApiModelProperty(value = "用户信息")
	private AuthEntity auth;

	@ApiModelProperty(value = "token",example = "e781d000-0498-46d3-90df-96edfd95bcd6")
	private TokenEntity token;

	@ApiModelProperty(value = "user")
	private ZccmUser user;

	@ApiModelProperty(value = "userAdmin")
	private ZccmUserAdmin userAdmin;



}
