package com.hc.web.controller.browser.app;

import com.hc.business.service.ZccmUserStatusService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 10696
 * @since 2020/12/6 13:53
 */

@RestController
@RequestMapping("/new/api/app/userClassLog")
public class AppUserClassLogController {

    @Autowired
    private ZccmUserStatusService userStatusService;

    @GetMapping("/{userId}")
    @ApiOperation(value = "依据用户id查询 userClassLog ", response = Result.class)
    public Result selectAppUserStatusLog(@PathVariable("userId") Integer userId) {
        return Result.success(this.userStatusService.queryDtoByUserId(userId));
    }

}
