package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;


@Data
@ApiModel(value = "用户手机修改")
public class UserEditMobile implements Serializable {

    private static final long serialVersionUID = 440427107922700726L;

    @ApiModelProperty(value = "主键id")
    private Integer userId;

    @ApiModelProperty(value = "手机号码", required = true)
    @NotBlank
    private String userMobile;
}
